Picks an arbitrary permutation. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [permutation], [permutation$].<br>
> Similar: [permutation], [permutations], [isPermutation].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.permutation(x, [n], [r]);
// x: an array
// n: number of values (-1 => any)
// r: random seed 0->1
```

```javascript
const array = require('extra-array');

var x = [1, 2, 3, 4, 5];
array.permutation(x, 5);
// [ 2, 4, 5, 1, 3 ]

array.permutation(x, 5, 0.3);
// [ 5, 3, 1, 2, 4 ]

array.permutation(x, 3, 0.3);
// [ 5, 3, 1 ]
```

### references

- [shuffle: PHP](https://www.php.net/manual/en/function.shuffle.php)
- [shuffle-seed: @webcaetano](https://www.npmjs.com/package/shuffle-seed)
- [shuffle-array: @pazguille](https://www.npmjs.com/package/shuffle-array)
- [Seeding the random number generator in Javascript](https://stackoverflow.com/a/47593316/1413259)

[:running:]: https://npm.runkit.com/@extra-array/permutation
[:package:]: https://www.npmjs.com/package/@extra-array/permutation
[:moon:]: https://www.npmjs.com/package/@extra-array/permutation.min
[:ledger:]: https://unpkg.com/@extra-array/permutation/
[permutation]: https://github.com/nodef/extra-array/wiki/permutation
[permutation$]: https://github.com/nodef/extra-array/wiki/permutation$
[permutations]: https://github.com/nodef/extra-array/wiki/permutations
[isPermutation]: https://github.com/nodef/extra-array/wiki/isPermutation
[:vhs:]: https://asciinema.org/a/332105
